set more off

* This program produces the results in the top panel of Table 3,
* plus results similar to the ones for WCR-C and WCR-S in the bottom
* panel. The bootstrap results reported there used a Fortran program
* with B=99,999, a different random number generator,
* and a different seed.

insheet using patronage-data.csv

#delimit ;

* HC1 ;
reg min_rev i.aid i.year i.duration no_colonies connected, robust;

* CV1 dyadic;
reg min_rev i.aid i.year i.duration no_colonies connected,
cluster(bilateral);

* CV1 ;
reg min_rev i.aid i.year i.duration no_colonies connected,
cluster(sid);

* WCR-C ;
boottest connected, cluster(sid) reps(99999) noci nograph;

* WCR-S ;
boottest connected, cluster(sid) reps(99999) noci nograph jk;

* WCU-C ;
boottest connected, cluster(sid) reps(99999) noci nograph nonull;

* WCU-S ;
boottest connected, cluster(sid) reps(99999) noci nograph jk nonull;
